connect 'jdbc:derby://localhost:1527/c:\derby10.1.1\OPTIM\optim;create=true';

drop table EXTENDED_LOOKUP.JP_ADDRESSES;
create table EXTENDED_LOOKUP.JP_ADDRESSES
(
  seq int generated always as identity
              (start with -4, increment by 1), 
  ZIPCODE CHAR(7),
  PREFECTURE VARCHAR(12),
  CITY  VARCHAR(30),
  ADDRESS1  VARCHAR(36),
  ADDRESS2  VARCHAR(42),
  PREFECTURE_RM VARCHAR(12),
  CITY_RM  VARCHAR(60),
  ADDRESS1_RM  VARCHAR(72),
  ADDRESS2_RM  VARCHAR(42),
  PREFECTURE_KF VARCHAR(24),
  CITY_KF  VARCHAR(60),
  ADDRESS1_KF  VARCHAR(72),
  ADDRESS2_KF  VARCHAR(84),
  PREFECTURE_KH VARCHAR(24),
  CITY_KH  VARCHAR(90),
  ADDRESS1_KH  VARCHAR(108),
  ADDRESS2_KH  VARCHAR(84),
  PRIMARY KEY (SEQ)
);
--alter table extended_lookup.jp_addresses add constraint ujp_addresses
--                              unique (address1,
--                              city,
--                              zipcode); 

drop table EXTENDED_LOOKUP.JP_PERSON;
create table EXTENDED_LOOKUP.JP_PERSON
(
  seq int generated always as identity
              (start with -4, increment by 1), 
  ID CHAR(6),
  FIRSTNAME VARCHAR(15),
  LASTNAME VARCHAR(15),
  COMPANY VARCHAR(40),
  RESIDENTID CHAR(11),
  SEX CHAR(3),
  PHONE CHAR(12) ,
  BIRTHDATE DATE ,
  EMAIL_ADDRESS VARCHAR(50),
  FIRSTNAME_RM VARCHAR(15),
  FIRSTNAME_KF VARCHAR(30),
  FIRSTNAME_KH VARCHAR(30),
  LASTNAME_RM VARCHAR(15),
  LASTNAME_KF VARCHAR(30),
  LASTNAME_KH VARCHAR(30),
  PRIMARY KEY (SEQ)
);   
--alter table extended_lookup.jp_person add constraint ujp_person
--                              unique (
--                              firstname,
--                              lastname,
--                              sex,
--                              phone,
--                              birthdate);

drop table EXTENDED_LOOKUP.JP_FIRSTNAME;
create table EXTENDED_LOOKUP.JP_FIRSTNAME
(
  seq int generated always as identity
              (start with -4, increment by 1), 
  FIRSTNAME VARCHAR(15),
  FIRSTNAME_RM VARCHAR(15),
  FIRSTNAME_KF VARCHAR(15),
  FIRSTNAME_KH VARCHAR(15),
  PRIMARY KEY (SEQ)
);
--alter table extended_lookup.jp_firstname add constraint ujp_firstname  
--                                      unique (firstname);

drop table EXTENDED_LOOKUP.JP_FIRSTNAME_F;
create table EXTENDED_LOOKUP.JP_FIRSTNAME_F
(
  seq int generated always as identity
              (start with -4, increment by 1), 
  FIRSTNAME VARCHAR(15),
  FIRSTNAME_RM VARCHAR(15),
  FIRSTNAME_KF VARCHAR(15),
  FIRSTNAME_KH VARCHAR(15),
  PRIMARY KEY (SEQ)
);
--alter table extended_lookup.jp_firstname_f add constraint ujp_firstnamef  
--                                      unique (firstname);

drop table EXTENDED_LOOKUP.JP_FIRSTNAME_M;
create table EXTENDED_LOOKUP.JP_FIRSTNAME_M
(
  seq int generated always as identity
              (start with -4, increment by 1), 
  FIRSTNAME VARCHAR(15),
  FIRSTNAME_RM VARCHAR(15),
  FIRSTNAME_KF VARCHAR(15),
  FIRSTNAME_KH VARCHAR(15),
  PRIMARY KEY (SEQ)
);
--alter table extended_lookup.jp_firstname_m add constraint ujp_firstnamem  
--                                      unique (firstname);

drop table EXTENDED_LOOKUP.JP_LASTNAME;
create table EXTENDED_LOOKUP.JP_LASTNAME
(
  seq int generated always as identity
              (start with -4, increment by 1), 
  LASTNAME VARCHAR(15),
  LASTNAME_RM VARCHAR(15),
  LASTNAME_KF VARCHAR(15),
  LASTNAME_KH VARCHAR(15),
  PRIMARY KEY (SEQ)
);
--alter table extended_lookup.jp_lastname add constraint ujp_lastname  
--                                      unique (lastname);

--create unique index extended_lookup.xjplastnamepk
--   on extended_lookup.jp_lastname
--   (seq asc);
--alter table extended_lookup.jp_lastname 
--   add primary key
--   (seq);
DROP TABLE EXTENDED_LOOKUP.JP_DOMAIN_NAMES;
create table extended_lookup.jp_domain_names (
  seq int generated always as identity
                (start with -4, increment by 1), 
   domain_name varchar(50),
  PRIMARY KEY (SEQ)
);
